Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Parallel

    java.lang.Object
      org.apache.commons.scxml.model.TransitionTarget
          org.apache.commons.scxml.model.Parallel

All Implemented Interfaces:
  Serializable

public class Parallel
extends TransitionTarget

The class in this SCXML object model that corresponds to the <parallel> SCXML element, which is a wrapper element to encapsulate parallel state machines. For the <parallel> element to be useful, each of its <state> substates must itself be complex, that is, one with either <state> or <parallel> children.

See Also:
  Serialized Form

Constructor Summary
`Parallel()` Constructor.

Method Summary
`void` | `addChild(TransitionTarget tt)` Add a child.
`void` | `addState(State state)` Deprecated. Use addChild(TransitionTarget) instead.
`Set` | `getChildren()` Get the set of child transition targets (may be empty).
`Set` | `getStates()` Deprecated. Use getChildren() instead.

Methods inherited from class org.apache.commons.scxml.model.TransitionTarget
`addHistory, addTransition, getDatamodel, getHistory, getId, getOnEntry, getOnExit, getParent, getParentState, getTransitions, getTransitionsList, getTransitionsList, hasHistory, setDatamodel, setId, setOnEntry, setOnExit, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parallel

    public Parallel()

  Constructor.

Method Detail

### getStates

    public final Set getStates()

  Deprecated. Use getChildren() instead.

  Get the set of parallel state machines contained in this Parallel.

  Returns:
    Returns the state.

### addState

    public final void addState(State state)

  Deprecated. Use addChild(TransitionTarget) instead.

  Add a State to the list of parallel state machines contained in this Parallel.

  Parameters:
    `state` - The state to add.

### getChildren

    public final Set getChildren()

  Get the set of child transition targets (may be empty).

  Returns:
    Set Returns the children.
  Since:
    0.7

### addChild

    public final void addChild(TransitionTarget tt)

  Add a child.

  Parameters:
    `tt` - A child transition target.
  Since:
    0.7

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.